Loading...
Searching...
No Matches
Signal Handling
Apache Portability Runtime library
Collaboration diagram for Signal Handling:

## Typedefs

typedef void | apr_sigfunc_t(int)

## Functions

apr_sigfunc_t * | apr_signal (int signo, apr_sigfunc_t *func)
const char * | apr_signal_description_get (int signum)
void | apr_signal_init (apr_pool_t *pglobal)
apr_status_t | apr_signal_block (int signum)
apr_status_t | apr_signal_unblock (int signum)

## Detailed Description

## Typedef Documentation

## apr_sigfunc_t

typedef void apr_sigfunc_t(int)

Function prototype for signal handlers

## Function Documentation

## apr_signal()

apr_sigfunc_t * apr_signal | ( | int | signo,
|  | apr_sigfunc_t * | func
| ) |  |

Set the signal handler function for a given signal

Parameters

  signo | The signal (eg... SIGWINCH)
  func | the function to get called

## apr_signal_block()

apr_status_t apr_signal_block | ( | int | signum | ) |

Block the delivery of a particular signal

Parameters

  signum | The signal number

Returns
  status

## apr_signal_description_get()

const char * apr_signal_description_get | ( | int | signum | ) |

Get the description for a specific signal number

Parameters

  signum | The signal number

Returns
  The description of the signal

## apr_signal_init()

void apr_signal_init | ( | apr_pool_t * | pglobal | ) |

APR-private function for initializing the signal package

## apr_signal_unblock()

apr_status_t apr_signal_unblock | ( | int | signum | ) |

Enable the delivery of a particular signal

Parameters

  signum | The signal number

Returns
  status